using System.Runtime.InteropServices;
using Decal.Interop.SpellFilter;

namespace Decal.SpellFilter
{
    [ComVisible(true)]
    [Guid("20425F2F-54FF-4EAE-9538-36699E3DFB56")]
    [ClassInterface(ClassInterfaceType.None)]
    [ProgId("SpellFilter.Component")]
    public class ComponentImpl : IComponent
    {
        public int ComponentID { get; set; }
        public string Name { get; set; }
        public int Icon { get; set; }
        public int Type { get; set; }
        public int Animation { get; set; }
        public float Charge { get; set; }
        public string PowerWord { get; set; }
        public int BurnRate { get; set; }
        public int Dummy1 { get; set; }
    }
}
